<?php

namespace App\Http\Controllers\Api;

use App\Service\BasicTypeService;
use Illuminate\Http\Request;

class BasicTypeController extends BaseController
{
    public function basicTypeAdd(Request $request)
    {
        $service = new BasicTypeService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->basicTypeAdd($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function basicTypeEdit(Request $request)
    {
        $service = new BasicTypeService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->basicTypeEdit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function basicTypeDel(Request $request)
    {
        $service = new BasicTypeService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->basicTypeDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function basicTypeList(Request $request)
    {
        $service = new BasicTypeService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->basicTypeList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
