<?php

namespace App\Http\Controllers\Api;

use App\Service\ContactsService;
use Illuminate\Http\Request;

class ContactsController extends BaseController
{
    public function contactsAdd(Request $request)
    {
        $service = new ContactsService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->contactsAdd($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function contactsEdit(Request $request)
    {
        $service = new ContactsService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->contactsEdit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function contactsDel(Request $request)
    {
        $service = new ContactsService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->contactsDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function contactsList(Request $request)
    {
        $service = new ContactsService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->contactsList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function contactsDetail(Request $request)
    {
        $service = new ContactsService();
        list($status,$data) = $service->contactsDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
