<?php
namespace App\Http\Controllers\Api;

use App\Exports\MyExport;
use App\Service\IOService;
use Illuminate\Http\Request;


//导入导出
class IOController extends BaseController
{
    /**
     * 下载
     * @param Request $request
     * @return \Symfony\Component\HttpFoundation\BinaryFileResponse
     */
    public function excelDownload(Request $request){

        $data = $request->all();
        $file_name = $data['file_name'];
        $excel = new MyExport();
        return  $excel->excelDownload($file_name);
    }


    public function apiExport(Request $request){



//        $data = $request->all();

        $service = new IOService();
        list($status,$data) = $service->apiExport($request);
        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }


    }
}
