<?php

namespace App\Http\Controllers\Api;

use App\Service\ReturnExchangeOrderService;
use Illuminate\Http\Request;

class ReturnExchangeOrderController extends BaseController
{
    public function ReturnExchangeOrderAdd(Request $request)
    {
        $service = new ReturnExchangeOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->add($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function ReturnExchangeOrderEdit(Request $request)
    {
        $service = new ReturnExchangeOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->edit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function ReturnExchangeOrderDetail(Request $request)
    {
        $service = new ReturnExchangeOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->detail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function ReturnExchangeOrderDel(Request $request)
    {
        $service = new ReturnExchangeOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->del($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function ReturnExchangeOrderList(Request $request)
    {
        $service = new ReturnExchangeOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->getList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
