<?php

namespace App\Http\Controllers\Api;

use App\Service\TakeOrderService;
use Illuminate\Http\Request;

class TakeOrderController extends BaseController
{
    public function invoiceOrderAdd(Request $request)
    {
        $service = new TakeOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->add($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function invoiceOrderEdit(Request $request)
    {
        $service = new TakeOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->edit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function invoiceOrderDetail(Request $request)
    {
        $service = new TakeOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->detail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function invoiceOrderDel(Request $request)
    {
        $service = new TakeOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->del($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function invoiceOrderList(Request $request)
    {
        $service = new TakeOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->getList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
