<?php

namespace App\Http\Controllers\Api;

use App\Service\TechnologyService;
use Illuminate\Http\Request;

class TechnologyController extends BaseController
{
    public function technologyList(Request $request)
    {
        $service = new TechnologyService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->technologyList($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function technologyEdit(Request $request)
    {
        $service = new TechnologyService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->technologyEdit($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function technologyAdd(Request $request)
    {
        $service = new TechnologyService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->technologyAdd($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function technologyDel(Request $request)
    {
        $service = new TechnologyService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->technologyDel($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function technologyCopy(Request $request)
    {
        $service = new TechnologyService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->technologyCopy($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
