<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class BookingList extends Model
{
    protected $table = "booking_list"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const STATE_ZERO = 0;//未确认
    const STATE_ONE = 1;//已确认
    public static $name = [
        self::STATE_ZERO => '未确认',
        self::STATE_ONE => '已确认',
    ];

    const type_one = 1; // 收款
    const type_two = 2; // 坏账
    const type_three = 3; // 退款
    const type_four = 4; // 补收
    public static $model_type = [
        self::type_one => '收款',
        self::type_two => '坏账',
        self::type_three => '退款',
        self::type_four => '补收',
    ];

    const data_type_one = 1; // 合同
    const data_type_two = 2; // 采购
    public static $data_type = [
        self::data_type_one => '合同',
        self::data_type_two => '采购',
    ];

}
