<?php

namespace App\Model;

class InvoiceOrder extends UseScopeBaseModel
{
    protected $table = "invoice_order"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const STATE_ZERO = 0;//未确认
    const STATE_ONE = 1;//已确认
    const prefix = 'FH';
    public static $name = [
        0 => '未确认',
        1 => '已确认',
    ];

    const range_function = 'invoiceRange';
}
