<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class SeeRange extends Model
{
    protected $table = "see_range"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const type_one = 1; // 客户
    const type_two = 2; // 施工单
    const type_three = 3; // 发货单
    const type_four = 4; // 产品
    const type_five = 5; // 采购单
    const type_six = 6; // 退换货
    const type_seven = 7; // 合同
    const type_eight = 8; // 活动包
    const type_nine = 9; //供应商
    public static $type = [
        self::type_one,
        self::type_two,
        self::type_three,
        self::type_four,
        self::type_five,
        self::type_six,
        self::type_seven,
        self::type_eight,
        self::type_nine,
    ];

    const data_one = 1; // 部门
    const data_two = 2; // 人
    const data_three = 3; // 公司
    public static $data_type = [
        self::data_one,
        self::data_two,
        self::data_three,
    ];
}
