<?php

namespace App\Http\Controllers\Api;

use App\Service\FollowUpRecordService;
use Illuminate\Http\Request;

class FollowUpRecordController extends BaseController
{
    public function followUpRecordEdit(Request $request)
    {
        $service = new FollowUpRecordService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->followUpRecordEdit($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
    
    public function followUpRecordAdd(Request $request)
    {
        $service = new FollowUpRecordService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->followUpRecordAdd($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
    
    public function followUpRecordDel(Request $request)
    {
        $service = new FollowUpRecordService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->followUpRecordDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function followUpRecordList(Request $request)
    {
        $service = new FollowUpRecordService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->followUpRecordList($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function followUpRecordDetail(Request $request)
    {
        $service = new FollowUpRecordService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->followUpRecordDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
