<?php

namespace App\Http\Controllers\Api;


use App\Service\Oa\ExcelService;
use Illuminate\Http\Request;


class OaController extends BaseController
{





    public function oaList(Request $request)
    {


        $service = new ExcelService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->oaList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaDetail(Request $request)
    {


        $service = new ExcelService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->oaDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaAdd(Request $request)
    {


        $service = new ExcelService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->oaAdd($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaEdit(Request $request)
    {


        $service = new ExcelService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->oaEdit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaDel(Request $request)
    {


        $service = new ExcelService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->oaDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }


    public function createOaOrder(Request $request)
    {


        $service = new ExcelService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->createOaOrder($request->all());

        if($status){
            return $this->json_return($status,'',$data);
        }else{
            return $this->json_return(400,$data);
        }

    }



    public function oaOrderList(Request $request)
    {


        $service = new ExcelService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->oaOrderList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }
    public function oaOrderDetail(Request $request)
    {


        $service = new ExcelService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->oaOrderDetail($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }
    public function oaCheck(Request $request)
    {

        $service = new ExcelService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->oaCheck($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function oaSubType(Request $request)
    {


        $service = new ExcelService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->oaSubType($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }











}
