<?php

namespace App\Http\Controllers\Api;


use App\Service\ProductActivityService;
use Illuminate\Http\Request;

class ProductActivityController extends BaseController
{
    public function productEdit(Request $request)
    {
        $service = new ProductActivityService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productEdit($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function productAdd(Request $request)
    {
        $service = new ProductActivityService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productAdd($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function productDel(Request $request)
    {
        $service = new ProductActivityService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function productList(Request $request)
    {
        $service = new ProductActivityService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productList($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function productDetail(Request $request)
    {
        $service = new ProductActivityService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productDetail($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
