<?php

namespace App\Http\Controllers\Api;


use App\Service\ProductService;
use Illuminate\Http\Request;

class ProductController extends BaseController
{
    public function productCategoryEdit(Request $request)
    {
        $service = new ProductService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productCategoryEdit($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
    
    public function productCategoryAdd(Request $request)
    {
        $service = new ProductService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productCategoryAdd($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
    
    public function productCategoryDel(Request $request)
    {
        $service = new ProductService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productCategoryDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function productCategoryList(Request $request)
    {
        $service = new ProductService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productCategoryList($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function productEdit(Request $request)
    {
        $service = new ProductService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productEdit($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function productAdd(Request $request)
    {
        $service = new ProductService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productAdd($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function productDel(Request $request)
    {
        $service = new ProductService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function productList(Request $request)
    {
        $service = new ProductService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productList($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function productDetail(Request $request)
    {
        $service = new ProductService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productDetail($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
