<?php

namespace App\Http\Controllers\Api;


use App\Service\ProductInventoryService;
use App\Service\ProductService;
use Illuminate\Http\Request;

class ProductInventoryController extends BaseController
{
    public function productInventoryList(Request $request)
    {
        $service = new ProductInventoryService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productInventoryList($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function productInventoryStockList(Request $request)
    {
        $service = new ProductInventoryService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productInventoryStockList($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function productInventorySetList(Request $request)
    {
        $service = new ProductInventoryService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productInventorySetList($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function productInventorySet(Request $request)
    {
        $service = new ProductInventoryService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->productInventorySet($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
