<?php

namespace App\Http\Controllers\Api;

use App\Service\SportsBagService;
use Illuminate\Http\Request;

class SportsBagController extends BaseController
{
    public function add(Request $request)
    {
        $service = new SportsBagService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->add($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function edit(Request $request)
    {
        $service = new SportsBagService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->edit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function detail(Request $request)
    {
        $service = new SportsBagService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->detail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function del(Request $request)
    {
        $service = new SportsBagService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->del($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function orderList(Request $request)
    {
        $service = new SportsBagService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->getList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
