<?php

namespace App\Http\Controllers\Api;


use App\Service\BoxService;
use App\Service\StorehouseService;
use Illuminate\Http\Request;


class StorehouseController extends BaseController
{
    public function add(Request $request)
    {
        $service = new StorehouseService();
        list($status,$data) = $service->add($request->all(), $userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function edit(Request $request)
    {
        $service = new StorehouseService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->edit($request->all(), $userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function del(Request $request)
    {
        $service = new StorehouseService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->del($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }


    public function storehouseList(Request $request)
    {
        $service = new StorehouseService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->storehouseList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function storehouseDetail(Request $request)
    {
        $service = new StorehouseService();
        list($status,$data) = $service->storeDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
