<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

/**
 * 人员管理
 * Class Unit
 * @package App\Models
 */
class Employee extends Model
{
    protected $table = "employee"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const USE = 1;
    const NOT_USE = 2;
    const IS_ADMIN = 1;
    const IS_NOT_ADMIN = 0;
    const SPECIAL_ADMIN = 1;
    const IS_TECHNICAL = [
        0 => '否',
        1 => '是'
    ];

    //人员状态
    const STATUS_ONE = 1;
    const STATUS_TWO = 2;

    const STATUS = [
        1 => '正常',
        2 => '停用'
    ];
}
